List Organization Roles
GEThttps://api.confident-ai.com/v1/organization/roles
Lists the roles available to your organization. This includes both global, system-defined roles (where organizationId is null) and custom roles defined by your organization.
curl -X GET "https://api.confident-ai.com/v1/organization/roles" \
-H "CONFIDENT_API_KEY: <ORGANIZATION-API-KEY>"{
"success": true,
"data": {
"roles": [
{
"id": "role-uuid-1",
"name": "Admin",
"description": "Full administrative access",
"organizationId": null,
"policies": [
{
"id": "policy-uuid-1",
"name": "Manage projects"
}
]
},
{
"id": "role-uuid-3",
"name": "Billing Manager",
"description": "Can manage billing only",
"organizationId": "ORGANIZATION-ID",
"policies": [
{
"id": "policy-uuid-2",
"name": "Manage billing"
}
]
}
]
}
}Headers
CONFIDENT_API_KEYstringRequiredThe organization API key for your Confident AI organization.
Response
successbooleanIndicates if the request was successful
dataobjectShow 1 propertyHide 1 property
roleslist of objectsList of roles available to the organization, including global system roles
Show 5 propertiesHide 5 properties
idstringUnique identifier for the role
namestringName of the role
descriptionstringOptional description of the role
organizationIdstringThe owning organization id, or
nullfor global, system-defined roles that are available to every organization.policieslist of objectsThe policies attached to this role
Show 2 propertiesHide 2 properties
idstringUnique identifier
namestringName